/*! ----- 0.cấu hình chung global ---------*/
body {
    font-family: "Roboto", Arial, sans-serif;
}
a {
    color: #595959;
    text-decoration: none;
    background-color: transparent;
    -o-transition: 0.5s;
    -ms-transition: 0.5s;
    -moz-transition: 0.5s;
    -webkit-transition: 0.5s;
    transition: 0.5s;
}

    a:hover {
        color: #008CFF;
        text-decoration: none;
    }

.nt-color-1 {
    color: #00aeef;
}

.nt-color-2 {
    color: #ed0677;
}

.nt-color-3 {
    color: #2e3192;
}

.nt-color-4 {
    color: #008CFF;
}

.nt-bg-1 {
    background-color: #00aeef;
}

.nt-bg-2 {
    background-color: #ed0677;
}

.nt-bg-3 {
    background-color: #2e3192;
}

.btn-gradient {
    background-image: linear-gradient(to right, #12d8fa 0%, #1fa2ff 51%, #12d8fa 100%);
    background-size: 200% 100%;
    transition: background-position 0.3s ease;
}

    .btn-gradient:hover {
        background-position: right center;
    }

.btn-nhantam {
    background-color: #008CFF !important;
    border-color: #008CFF !important;
    transition: all 0.2s ease-in-out;
}

    .btn-nhantam:hover,
    .btn-nhantam:focus,
    .btn-nhantam:active {
        filter: brightness(0.9);
        border-color: #008CFF !important;
    }

    .btn-nhantam:active {
        background-color: #008CFF !important;
        filter: brightness(0.85);
    }

.text-gradient {
    display: inline-block;
    background: linear-gradient(90deg, #00afff, #ed0677);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.text-justify-custom {
    text-align: justify;
}
/*! ----- 1.header_1_desktop ---------*/

.bg-top {
    background-color: #f4f4f4;
}

.nav-link,
.dropdown-item {
    color: #000000 !important;
}

    .nav-link:hover,
    .nav-link.active,
    .dropdown-item:hover,
    .dropdown-item:focus,
    .dropdown-item.active {
        color: #008CFF !important;
    }

.search-wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

    .search-wrapper input {
        padding: 0 40px 0 15px;
        border-radius: 16px;
        border: 1px solid #ccc;
        outline: none;
        height: 32px;
        font-size: 14px;
    }

    .search-wrapper .search-button {
        position: absolute;
        border: none;
        background-color: transparent;
        cursor: pointer;
    }

.language-select {
    padding: 8px 5px;
    border: none;
    background-color: #f4f4f4;
    font-size: 16px;
}

/* navbar mobile ko co amp */
.offcanvas-collapse {
    font-size: 18px;
    font-weight: 500;
}

@media (max-width: 991.98px) {
    .offcanvas-collapse {
        position: fixed;
        top: 57px;
        bottom: 0;
        left: 100%;
        width: 100%;
        padding-right: 1rem;
        padding-left: 1rem;
        overflow-y: auto;
        visibility: hidden;
        background-color: #fff;
        transition: transform 0.3s ease-in-out, visibility 0.3s ease-in-out;
    }

        .offcanvas-collapse.open {
            visibility: visible;
            transform: translateX(-100%);
        }
}

.menu-hotline {
    background-image: linear-gradient(to right, #02a8ff 0%, #0075ff 50%);
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    text-decoration-line: none;
    padding: 2px 10px 0px 6px;
    background-size: 200% 100%;
    transition: background-position 0.3s ease;
}

    .menu-hotline:hover {
        color: #fff;
        background-position: right center;
    }

#navbarsNhanTam .dropdown-menu .dropdown-item::before {
    content: "";
    display: inline-block;
    width: 0.5rem;
    height: 0.75rem;
    margin-right: 0.5rem;
    vertical-align: middle;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 256 512'%3E%3Cpath fill='currentColor' d='M224.3 273l-136 136c-9.4 9.4-24.6 9.4-33.9 0l-22.6-22.6c-9.4-9.4-9.4-24.6 0-33.9l96.4-96.4-96.4-96.4c-9.4-9.4-9.4-24.6 0-33.9L54.3 103c9.4-9.4 24.6-9.4 33.9 0l136 136c9.5 9.4 9.5 24.6.1 34z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

#navbarsNhanTam .dropdown-item {
    font-size: 18px;
    padding-bottom: 8px;
}

@media (max-width: 991.98px) {
    #navbarsNhanTam .nav-item .nav-link::before {
        content: "";
        display: inline-block;
        width: 0.5rem;
        height: 0.75rem;
        margin-right: 0.5rem;
        vertical-align: middle;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 256 512'%3E%3Cpath fill='currentColor' d='M224.3 273l-136 136c-9.4 9.4-24.6 9.4-33.9 0l-22.6-22.6c-9.4-9.4-9.4-24.6 0-33.9l96.4-96.4-96.4-96.4c-9.4-9.4-9.4-24.6 0-33.9L54.3 103c9.4-9.4 24.6-9.4 33.9 0l136 136c9.5 9.4 9.5 24.6.1 34z'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
    }
}
/* --- submenu cap 3 --- */
.dropdown-menu {
    border: 0;
    border-radius: 6px;
    box-shadow: 0 12px 32px rgba(0,0,0,.08);
    padding: .5rem 0;
    min-width: 260px;
}

.dropdown-item {
    padding: .5rem 1.25rem;
    transition: all .15s ease;
}
    .dropdown-item:hover,
    .dropdown-item:focus {
        background: rgba(0,140,255,.08);
    }
.dropdown-submenu {
    position: relative;
}
    .dropdown-submenu > .dropdown-menu {
        display: none;
    }
        .dropdown-submenu > .dropdown-menu.show {
            display: block;
        }

@media (min-width:992px) {
    .dropdown:hover > .dropdown-menu {
        display: block;
        margin-top: 0;
    }
    .dropdown-submenu:hover > .dropdown-menu {
        display: block;
    }
    .dropdown-submenu > .dropdown-menu {
        position: absolute;
        top: 0;
        left: 100%;
    }

    .dropdown-submenu > .submenu-toggle::after {
        content: "";
        display: inline-block;
        width: 0.75rem;
        height: 0.5rem;
        float: right;
        margin-top: 0.5rem;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath fill='currentColor' d='M31.3 192h257.3c17.8 0 26.7 21.5 14.1 34.1L174.1 354.8c-7.8 7.8-20.5 7.8-28.3 0L17.2 226.1C4.6 213.5 13.5 192 31.3 192z'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
    }
}
@media (max-width:991.98px) {
    .dropdown-submenu > .dropdown-menu {
        position: static !important;
        margin-left: 1rem;
        box-shadow: none;
        border: 0;
        width: 100%;
    }
    
    .dropdown-submenu > .submenu-toggle::after {
        content: "";
        display: inline-block;
        width: 0.75rem;
        height: 0.5rem;
        float: right;
        margin-top: 0.5rem;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath fill='currentColor' d='M31.3 192h257.3c17.8 0 26.7 21.5 14.1 34.1L174.1 354.8c-7.8 7.8-20.5 7.8-28.3 0L17.2 226.1C4.6 213.5 13.5 192 31.3 192z'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
    }
}

/*!
 * ----- 7.footer -----------
 * Các css định dạng cho phần chân trang
 */
#footer {
    background-image: url("https://nhakhoanhantam.com/assets/images/footer-nhakhoanhantam.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #0078ff;
    color: #fff;
    padding: 20px 0;
}

    #footer a {
        color: #fff;
    }

    #footer h2 {
        display: block;
        font-size: 1.5em;
        margin-block-start: 0.83em;
        margin-block-end: 0.83em;
        margin-inline-start: 0;
        margin-inline-end: 0;
        font-weight: 700;
        unicode-bidi: isolate;
    }

    #footer h3 {
        font-size: 16px;
        line-height: 1.4;
    }

@media (max-width: 376px) {
    #footer h2 {
        font-size: 18px;
    }

    #footer h3 {
        font-size: 14px;
    }
}

#footer .footer_time {
    list-style: circle;
}

#footer .linklist {
    list-style: square;
}

    #footer .linklist li {
        padding-bottom: 15px;
    }

#footer select {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    font-size: 16px;
    border: none;
    border-radius: 3px;
    box-shadow: 0 2px 4px rgb(0 0 0 / 0.2);
    text-align: center;
    cursor: pointer;
    -webkit-appearance: menulist;
    -moz-appearance: menulist;
    appearance: menulist;
}

#footer img {
    border-radius: 5px;
}

#footer .social {
    margin-top: 15px;
}

    #footer .social li {
        display: inline-block;
        padding: 3px;
    }

#footer .coppyright {
    border-top: 2px solid #fff;
    padding-top: 10px;
}

    #footer .coppyright h2 {
        line-height: 0;
    }

@media (max-width: 992px) {
    #footer .coppyright {
        display: none;
    }
}


#footer .key-link ul {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    margin-bottom: 0;
    padding-left: 0;
}

    #footer .key-link ul li {
        margin: 0;
        padding: 0;
    }

        #footer .key-link ul li a {
            display: inline-block;
            padding: 0.125rem 0.5rem;
            font-size: 12px;
            font-weight: 400;
            text-align: center;
            text-decoration: none;
            white-space: nowrap;
            color: #fff;
            background-color: #1565c0;
            border: 1px solid #1565c0;
            border-radius: 0.25rem;
            cursor: pointer;
            transition: all 0.2s ease;
        }

            #footer .key-link ul li a:hover {
                background-color: #0d47a1;
                border-color: #0d47a1;
                color: #fff;
            }
